Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class ColorConverter

    java.lang.Object
      writer2latex.latex.ConverterHelper
          writer2latex.latex.ColorConverter

    public class ColorConverter

extends ConverterHelper

This class converts color

Field Summary
`private static int` | `BLUE`
`private boolean` | `bUseColor`
`private static int` | `GREEN`
`private static int` | `RED`

Fields inherited from class writer2latex.latex.ConverterHelper
`config, ofr, palette`

Constructor Summary
`ColorConverter(OfficeReader ofr, Config config, ConverterPalette palette)` Constructs a new `CharStyleConverter`.

Method Summary
`void` | `appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void` | `applyAutomaticColor(BeforeAfter ba, boolean bDecl, Context context)`
`void` | `applyBgColor(java.lang.String sCommand, java.lang.String sColor, BeforeAfter ba, Context context)`
`void` | `applyColor(java.lang.String sColor, boolean bDecl, BeforeAfter ba, Context context)` Apply a specific foreground color.
`void` | `applyColor(StyleWithProperties style, boolean bDecl, boolean bInherit, BeforeAfter ba, Context context)` Apply foreground color.
`void` | `applyNormalColor(BeforeAfter ba)`
`private static java.lang.String` | `automaticcolor(java.lang.String sBgColor)`
`private static java.lang.String` | `color(java.lang.String sColor)`
`private static java.lang.String` | `fullcolor(java.lang.String sColor)`
`private static float[]` | `getRgb(java.lang.String sColor)`
`void` | `setNormalColor(java.lang.String sColor, LaTeXDocumentPortion ldp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RED

    private static final int RED

See Also:
  Constant Field Values

### GREEN

    private static final int GREEN

See Also:
  Constant Field Values

### BLUE

    private static final int BLUE

See Also:
  Constant Field Values

### bUseColor

    private boolean bUseColor

Constructor Detail

### ColorConverter

    public ColorConverter(OfficeReader ofr,
                          Config config,
                          ConverterPalette palette)

  Constructs a new `CharStyleConverter`.

Method Detail

### appendDeclarations

    public void appendDeclarations(LaTeXDocumentPortion pack,
                                   LaTeXDocumentPortion decl)

  Overrides:
    `appendDeclarations` in class `ConverterHelper`

### setNormalColor

    public void setNormalColor(java.lang.String sColor,
                               LaTeXDocumentPortion ldp)

### applyNormalColor

    public void applyNormalColor(BeforeAfter ba)

### applyColor

    public void applyColor(StyleWithProperties style,
                           boolean bDecl,
                           boolean bInherit,
                           BeforeAfter ba,
                           Context context)

  Apply foreground color.

  Parameters:
    `style` - the OOo style to read attributesfrom
    `bDecl` - true if declaration form is required
    `bInherit` - true if inherited properties should be used
    `ba` - the `BeforeAfter` to add LaTeX code to.
    `context` - the current context

### applyColor

    public void applyColor(java.lang.String sColor,
                           boolean bDecl,
                           BeforeAfter ba,
                           Context context)

  Apply a specific foreground color.

  Parameters:
    ``sColor`` - the rgb color to use
    ``bDecl`` - true if declaration form is required
    ``ba`` - the `BeforeAfter` to add LaTeX code to.

### applyBgColor

    public void applyBgColor(java.lang.String sCommand,
                             java.lang.String sColor,
                             BeforeAfter ba,
                             Context context)

### applyAutomaticColor

    public void applyAutomaticColor(BeforeAfter ba,
                                    boolean bDecl,
                                    Context context)

### automaticcolor

    private static final java.lang.String automaticcolor(java.lang.String sBgColor)

### color

    private static final java.lang.String color(java.lang.String sColor)

### fullcolor

    private static final java.lang.String fullcolor(java.lang.String sColor)

### getRgb

    private static final float[] getRgb(java.lang.String sColor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD